# coding: utf-8

from sqlalchemy import (
    MetaData, String, Table, Column, Integer, DateTime)


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tnx_tenants = Table(
        'tenants', meta,
        Column('created_at', DateTime),
        Column('updated_at', DateTime),
        Column('deleted_at', DateTime),
        Column('deleted', Integer),
        Column('id', Integer, primary_key=True),
        Column('tenant_id', String(64), nullable=False, unique=True),
        Column('image_id', String(36), nullable=False),
        Column('flavor_id', String(255), nullable=False),
        Column('network_id', String(36), nullable=False),
        Column('operation_mode', String(10), nullable=False),
        Column('project_type', String(64), nullable=False),
        Column('latency', Integer),
        mysql_charset='utf8'
    )
    tnx_tenants.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    tnx_tenants = Table('tnx_tenants', meta, autoload=True)
    tnx_tenants.drop()
