# coding: utf-8

from sqlalchemy import (
    MetaData, String, Table, Column, Integer, DateTime)


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tnx_users = Table(
        'users', meta,
        Column('created_at', DateTime),
        Column('updated_at', DateTime),
        Column('deleted_at', DateTime),
        Column('deleted', Integer),
        Column('id', Integer, primary_key=True),
        Column('instance_id', String(64)),
        Column('user_id', String(64)),
        mysql_charset='utf8'
    )
    tnx_users.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    tnx_users = Table('tnx_users', meta, autoload=True)
    tnx_users.drop()
