# coding: utf-8

from sqlalchemy import MetaData, Table, Column, Integer, String


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    servers_table = Table(
        'servers', meta,
        Column('id', Integer, primary_key=True, nullable=False),
        Column('instance_id', String(36), nullable=False, unique=True),
        Column('tenant_id', String(64), nullable=False),
        Column('sla_1', Integer, nullable=False),
        Column('sla_2', Integer, nullable=False)
    )
    servers_table.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    servers_table = Table('servers', meta)
    servers_table.drop()
