# coding: utf-8

from sqlalchemy import (
    MetaData, String, Table, Column, Integer, DateTime)


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tnx_sessions = Table(
        'sessions', meta,
        Column('created_at', DateTime),
        Column('updated_at', DateTime),
        Column('deleted_at', DateTime),
        Column('deleted', Integer),
        Column('id', Integer, primary_key=True),
        Column('instance_id', String(64), nullable=False),
        Column('user_id', String(64), nullable=False),
        mysql_charset='utf8'
    )
    tnx_sessions.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    tnx_sessions = Table('tnx_sessions', meta, autoload=True)
    tnx_sessions.drop()
