# coding: utf-8

from sqlalchemy import DateTime, MetaData, Table, Column, Integer, String


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    servers_table = Table('servers', meta, autoload=True)

    servers_table.create_column(Column('created_at', DateTime))
    servers_table.create_column(Column('updated_at', DateTime))
    servers_table.create_column(Column('deleted_at', DateTime))
    servers_table.create_column(Column('deleted', Integer))

    servers_table.update().values(deleted=0).execute()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    servers_table = Table('servers', meta, autoload=True)
    servers_table.drop_column('created_at')
    servers_table.drop_column('updated_at')
    servers_table.drop_column('deleted_at')
    servers_table.drop_column('deleted')
