# coding: utf-8

from sqlalchemy import DateTime, MetaData, Table, Column, String


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    servers_table = Table('sessions', meta, autoload=True)

    closed_at = Column('closed_at', DateTime)
    closed_at.create(servers_table)

    session_id = Column('session_id', String(64))
    session_id.create(servers_table)


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    servers_table = Table('sessions', meta, autoload=True)
    servers_table.c.closed_at.drop()
    servers_table.c.session_id.drop()
