# coding: utf-8

from sqlalchemy import (
    MetaData, String, Table, Column, Integer, DateTime)


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    journal = Table(
        'journal', meta,
        Column('id', Integer, primary_key=True, nullable=False),
        Column('action', String(64), nullable=False),
        Column('user_id', String(64), nullable=False),
        Column('instance_id', String(64), nullable=False),
        Column('request_user_id', String(64), nullable=False),
        Column('request_user_name', String(64), nullable=False),
        Column('request_id', String(64), nullable=False),
        Column('created_at', DateTime, nullable=False),
        Column('updated_at', DateTime),
        Column('deleted_at', DateTime),
        Column('deleted', Integer, nullable=False),
        mysql_charset='utf8'
    )
    journal.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    journal = Table('journal', meta, autoload=True)
    journal.drop()
