# coding: utf-8

from sqlalchemy import String, MetaData, Table, Column

from tionix_vdi_server.server.constants import SLA1, SLA2


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    servers_table = Table('servers', meta, autoload=True)

    servers_table.c.sla_1.alter(Column('sla_1', String(16), nullable=False))
    servers_table.c.sla_2.alter(Column('sla_2', String(16), nullable=False))

    servers_table.update().values(
        sla_1=SLA1.TYPICAL,
        sla_2=SLA2.TYPICAL).execute()


def downgrade(migrate_engine):
    pass
