# coding: utf-8
# pylint: disable=no-member

from sqlalchemy import Boolean, MetaData, Table, Column


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    journal_table = Table('journal', meta, autoload=True)
    journal_table.create_column(Column('is_system', Boolean, default=False))


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    journal_table = Table('journal', meta, autoload=True)
    journal_table.drop_column('is_system')
