# coding: utf-8
# pylint: disable=no-member

from sqlalchemy import MetaData, Table, Column, UnicodeText


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    journal_table = Table('journal', meta, autoload=True)

    request_body = Column('request_body', UnicodeText())
    journal_table.create_column(request_body)


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    journal_table = Table('journal', meta, autoload=True)
    journal_table.drop_column('request_body')
