# coding: utf-8

from sqlalchemy import MetaData, Table, Column, String


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    sessions_table = Table('sessions', meta, autoload=True)

    client_ip = Column('client_ip', String(64))
    client_ip.create(sessions_table)

    client_os = Column('client_os', String(64))
    client_os.create(sessions_table)

    client_info = Column('client_info', String(64))
    client_info.create(sessions_table)


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    sessions_table = Table('sessions', meta, autoload=True)
    sessions_table.c.client_ip.drop()
    sessions_table.c.client_os.drop()
    sessions_table.c.client_info.drop()
