# coding: utf-8
# pylint: disable=no-member

from sqlalchemy import MetaData, Table, Column, String


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tenants_table = Table('tenants', meta, autoload=True)
    availability_zone = Column('availability_zone', String(255))
    tenants_table.create_column(availability_zone)


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tenants_table = Table('tenants', meta, autoload=True)
    tenants_table.c.availability_zone.drop()
