/**
 * Created by user on 17.03.17.
 */
// Load modals for ajax-modal links.

(function () {

  var $document = $(document),
    modals = {
      // Storage for our current jqXHR object.
      _request: null,
      spinner: null
    }, spinnerOptions = {
        lines:  10,
        length: 15,
        width:  4,
        radius: 10,
        color:  '#000',
        speed:  0.8,
        trail:  50
    };

    modals.success = function (data) {
      var modal, modal_wrapper = $('#modal_wrapper');
      // Moves the modal_wrapper to the bottom. This shows it over other dialogs.
      modal_wrapper.parent().append(modal_wrapper);
      modal_wrapper.append(data);
      modal = $('#modal_wrapper > .modal:last');
      modal.modal();
      $(modal).trigger("new_modal", modal);
      return modal;
    };

    modals.modal_spinner = function () {
      // Adds a spinner with the desired text in a modal window.
      if (!modals.spinner) {
        modals.spinner = $("#spinner-modal");
        modals.spinner.modal({backdrop: 'static'});
        modals.spinner.find(".modal-body").spin(spinnerOptions);
      }
      modals.spinner.modal('show');
    };


    $document.ready(function(){
      $document.on('click', '.ajax-modal', function (evt) {
        var $this = $(this);

        // If there's an existing modal request open, cancel it out.
        if (modals._request && typeof(modals._request.abort) !== undefined) {
          modals._request.abort();
        }

        modals._request = $.ajax($this.attr('href'), {
            beforeSend: function () {
              modals.modal_spinner();
            },
            complete: function () {
              // Clear the global storage;
              modals._request = null;
              modals.spinner.modal('hide');
            },
            error: function() {
              location.reload(true);
            },
            success: function (data, textStatus, jqXHR) {
              modals.success(data, textStatus, jqXHR);
            }
          });
        evt.preventDefault();
      });
    });
}());
